#pragma once
#include "mof/DataTable.h"

namespace et{
	class Action;
	class BattlerGroup;
	class DataBasedBattler;

	class BattleAI
	{
	protected:
		mof::DataResourceManager* m_pDataResourceManager;
	public:
		BattleAI(mof::DataResourceManager* pDataResoourceManager);
		virtual ~BattleAI(void);
		virtual Action* createAction(DataBasedBattler* pOwn , BattlerGroup* pGroup) = 0;
	};

}
